use std::sync::Mutex;
use actix_web::{web, get, Responder, HttpResponse};
use crate::State;

#[get("/benchmark")]
async fn benchmark(state: web::Data<Mutex<State>>) -> impl Responder {
    match state.lock() {
        Ok(guard) => match guard.benchmark_repository.benchmark().await {
            Ok(result) => HttpResponse::Ok().json(result),
            Err(error) => HttpResponse::InternalServerError().json(error.to_string())
        },
        Err(error) => HttpResponse::InternalServerError().json(error.to_string())
    }
}